Newland:
  Toubiz:
    Poi:
      Neos:
        filter:
          articleType:
            0:
              combine: 'AND'

              join:
                - column: 'entity.attributes'
                  alias: 'attributes'
                - column: 'entity.categories'
                  alias: 'categories'
                - column: 'entity.cities'
                  alias: 'cities'
                - column: 'cities.mainAddress'
                  alias: 'mainAddress'

              children:
                categories:
                  type: 'section'
                  combine: 'AND'
                  title:
                    id: 'section.categories'
                    source: 'Views/Filter'
                    package: 'Newland.Toubiz.Poi.Neos'
                  children:
                    categories:
                      type: 'checkbox_list'
                      combine: 'OR'
                      title:
                        id: 'group.categories'
                        source: 'Views/Filter'
                        package: 'Newland.Toubiz.Poi.Neos'
                      databaseColumn: 'categories'
                      queryString: 'categories'
                      dataSource: 'newland-toubiz-poi-neos-categories'
                      dataSourceArguments:
                        articleType: 0
                      override:
                        property: preselectedCategories
                        behaviour: 'limit_selectable'
                      searchBoxDisplayLimit: 15
                      maxItemsBeforeExpandable: 4
                locations:
                  type: 'section'
                  combine: 'AND'
                  title:
                    id: 'section.cities'
                    source: 'Views/Filter'
                    package: 'Newland.Toubiz.Poi.Neos'
                  children:
                    cities:
                      type: 'Newland\Toubiz\Poi\Neos\Filter\Items\CityList'
                      combine: 'OR'
                      title:
                        id: 'group.cities'
                        source: 'Views/Filter'
                        package: 'Newland.Toubiz.Poi.Neos'
                      databaseColumn: 'cities.Persistence_Object_Identifier'
                      queryString: 'city'
                      dataSource: 'newland-toubiz-poi-neos-pois'
                      dataSourceArguments:
                        mainType: 6
                      override:
                        property: preselectedCities
                        behaviour: 'limit_selectable'
                      searchBoxDisplayLimit: 15
                      maxItemsBeforeExpandable: 4
                    regions:
                      type: '\Newland\Toubiz\Poi\Neos\Filter\Items\RegionList'
                      combine: 'OR'
                      title:
                        id: 'group.regions'
                        source: 'Views/Filter'
                        package: 'Newland.Toubiz.Poi.Neos'
                      databaseColumn: 'mainAddress.zip'
                      queryString: 'region'
                      dataSource: 'newland-toubiz-poi-neos-regions'
                      override:
                        property: regions
                        behaviour: 'limit_selectable'
                      searchBoxDisplayLimit: 15
                      maxItemsBeforeExpandable: 4
                properties:
                  type: 'section'
                  combine: 'AND'
                  title:
                    id: 'section.features'
                    source: 'Views/Filter'
                    package: 'Newland.Toubiz.Poi.Neos'
                  children:
                    properties:
                      type: 'attribute_checkbox_list'
                      combine: 'OR'
                      queryString: 'properties'
                      databaseColumn: "entity.Persistence_Object_Identifier"
                      title:
                        id: 'group.properties'
                        source: 'Views/Filter'
                        package: 'Newland.Toubiz.Poi.Neos'
                      dataSource: 'newland-neosfiltering-direct'
                      dataSourceArguments:
                        filterGroup: poiFeatures
                      override:
                        property: preselectedProperties
                        behaviour: 'preselect'
                      searchBoxDisplayLimit: 15
                      maxItemsBeforeExpandable: 4

                pagination:
                  type: 'pagination_input'
                  queryString: 'page'
                  defaultState: 1
                  attributes:
                    'data-toubiz-results-list.page': ''
                tags:
                  type: 'preselected_tags'
                  combine: 'OR'
                  queryString: 'tags'
                  defaultState: []
                  databaseColumn: 'entity.Persistence_Object_Identifier'
                  dataSource: 'newland-toubiz-poi-neos-tag-attributes'
                  dataSourceArguments:
                    articleType: 0
                  override:
                    property: preselectedTags
                    behaviour: 'show'
